<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (version 1.7.0_80) on Wed Sep 20 14:52:14 UTC 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<title>EclipseModel (Gradle API 4.2)</title>
<meta name="date" content="2017-09-20">
<link rel="stylesheet" type="text/css" href="../../../../../../javadoc.css" title="Style">
</head>
<body>
<script type="text/javascript"><!--
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="EclipseModel (Gradle API 4.2)";
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar_top">
<!--   -->
</a><a href="#skip-navbar_top" title="Skip navigation links"></a><a name="navbar_top_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../org/gradle/plugins/ide/eclipse/model/EclipseJdt.html" title="class in org.gradle.plugins.ide.eclipse.model"><span class="strong">Prev Class</span></a></li>
<li><a href="../../../../../../org/gradle/plugins/ide/eclipse/model/EclipseProject.html" title="class in org.gradle.plugins.ide.eclipse.model"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../index.html?org/gradle/plugins/ide/eclipse/model/EclipseModel.html" target="_top">Frames</a></li>
<li><a href="EclipseModel.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor_summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor_detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.gradle.plugins.ide.eclipse.model</div>
<h2 title="Class EclipseModel" class="title">Class EclipseModel</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li>org.gradle.plugins.ide.eclipse.model.EclipseModel</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public class <span class="strong">EclipseModel</span>
extends <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></pre>
<div class="block">DSL-friendly model of the Eclipse project information.
 First point of entry for customizing Eclipse project generation.

 <pre class='autoTested'>
 apply plugin: 'java'
 apply plugin: 'eclipse'
 apply plugin: 'eclipse-wtp' //for web projects only

 eclipse {
   pathVariables 'GRADLE_HOME': file('/best/software/gradle'), 'TOMCAT_HOME': file('../tomcat')

   project {
     //see docs for <a href="../../../../../../org/gradle/plugins/ide/eclipse/model/EclipseProject.html" title="class in org.gradle.plugins.ide.eclipse.model"><code>EclipseProject</code></a>
   }

   classpath {
     //see docs for <a href="../../../../../../org/gradle/plugins/ide/eclipse/model/EclipseClasspath.html" title="class in org.gradle.plugins.ide.eclipse.model"><code>EclipseClasspath</code></a>
   }

   wtp {
     //see docs for <a href="../../../../../../org/gradle/plugins/ide/eclipse/model/EclipseWtp.html" title="class in org.gradle.plugins.ide.eclipse.model"><code>EclipseWtp</code></a>
   }
 }
 </pre>

 More examples in docs for <a href="../../../../../../org/gradle/plugins/ide/eclipse/model/EclipseProject.html" title="class in org.gradle.plugins.ide.eclipse.model"><code>EclipseProject</code></a>, <a href="../../../../../../org/gradle/plugins/ide/eclipse/model/EclipseClasspath.html" title="class in org.gradle.plugins.ide.eclipse.model"><code>EclipseClasspath</code></a>, <a href="../../../../../../org/gradle/plugins/ide/eclipse/model/EclipseWtp.html" title="class in org.gradle.plugins.ide.eclipse.model"><code>EclipseWtp</code></a></div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor_summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><strong><a href="../../../../../../org/gradle/plugins/ide/eclipse/model/EclipseModel.html#EclipseModel()">EclipseModel</a></strong>()</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method_summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span>Methods</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../../org/gradle/plugins/ide/eclipse/model/EclipseModel.html#classpath(org.gradle.api.Action)">classpath</a></strong>(<a href="../../../../../../org/gradle/api/Action.html" title="interface in org.gradle.api">Action</a>&lt;? super <a href="../../../../../../org/gradle/plugins/ide/eclipse/model/EclipseClasspath.html" title="class in org.gradle.plugins.ide.eclipse.model">EclipseClasspath</a>&gt;&nbsp;action)</code>
<div class="block">Configures eclipse classpath information</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../../org/gradle/plugins/ide/eclipse/model/EclipseModel.html#classpath(groovy.lang.Closure)">classpath</a></strong>(<a href="http://docs.groovy-lang.org/docs/groovy-2.4.11/html/gapi/groovy/lang/Closure.html?is-external=true" title="class or interface in groovy.lang">Closure</a>&nbsp;closure)</code>
<div class="block">Configures eclipse classpath information</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../../org/gradle/plugins/ide/eclipse/model/EclipseClasspath.html" title="class in org.gradle.plugins.ide.eclipse.model">EclipseClasspath</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../../org/gradle/plugins/ide/eclipse/model/EclipseModel.html#getClasspath()">getClasspath</a></strong>()</code>
<div class="block">Configures eclipse classpath information</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../../../org/gradle/plugins/ide/eclipse/model/EclipseJdt.html" title="class in org.gradle.plugins.ide.eclipse.model">EclipseJdt</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../../org/gradle/plugins/ide/eclipse/model/EclipseModel.html#getJdt()">getJdt</a></strong>()</code>
<div class="block">Configures eclipse java compatibility information (jdt)</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../../org/gradle/plugins/ide/eclipse/model/EclipseProject.html" title="class in org.gradle.plugins.ide.eclipse.model">EclipseProject</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../../org/gradle/plugins/ide/eclipse/model/EclipseModel.html#getProject()">getProject</a></strong>()</code>
<div class="block">Configures eclipse project information</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../../../org/gradle/plugins/ide/eclipse/model/EclipseWtp.html" title="class in org.gradle.plugins.ide.eclipse.model">EclipseWtp</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../../org/gradle/plugins/ide/eclipse/model/EclipseModel.html#getWtp()">getWtp</a></strong>()</code>
<div class="block">Configures eclipse wtp information</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../../org/gradle/plugins/ide/eclipse/model/EclipseModel.html#jdt(org.gradle.api.Action)">jdt</a></strong>(<a href="../../../../../../org/gradle/api/Action.html" title="interface in org.gradle.api">Action</a>&lt;? super <a href="../../../../../../org/gradle/plugins/ide/eclipse/model/EclipseJdt.html" title="class in org.gradle.plugins.ide.eclipse.model">EclipseJdt</a>&gt;&nbsp;action)</code>
<div class="block">Configures eclipse java compatibility information (jdt)</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../../org/gradle/plugins/ide/eclipse/model/EclipseModel.html#jdt(groovy.lang.Closure)">jdt</a></strong>(<a href="http://docs.groovy-lang.org/docs/groovy-2.4.11/html/gapi/groovy/lang/Closure.html?is-external=true" title="class or interface in groovy.lang">Closure</a>&nbsp;closure)</code>
<div class="block">Configures eclipse java compatibility information (jdt)</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../../org/gradle/plugins/ide/eclipse/model/EclipseModel.html#pathVariables(java.util.Map)">pathVariables</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/util/Map.html?is-external=true" title="class or interface in java.util">Map</a>&lt;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>,<a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a>&gt;&nbsp;pathVariables)</code>
<div class="block">Adds path variables to be used for replacing absolute paths in classpath entries.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../../org/gradle/plugins/ide/eclipse/model/EclipseModel.html#project(org.gradle.api.Action)">project</a></strong>(<a href="../../../../../../org/gradle/api/Action.html" title="interface in org.gradle.api">Action</a>&lt;? super <a href="../../../../../../org/gradle/plugins/ide/eclipse/model/EclipseProject.html" title="class in org.gradle.plugins.ide.eclipse.model">EclipseProject</a>&gt;&nbsp;action)</code>
<div class="block">Configures eclipse project information</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../../org/gradle/plugins/ide/eclipse/model/EclipseModel.html#project(groovy.lang.Closure)">project</a></strong>(<a href="http://docs.groovy-lang.org/docs/groovy-2.4.11/html/gapi/groovy/lang/Closure.html?is-external=true" title="class or interface in groovy.lang">Closure</a>&nbsp;closure)</code>
<div class="block">Configures eclipse project information</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../../org/gradle/plugins/ide/eclipse/model/EclipseModel.html#setClasspath(org.gradle.plugins.ide.eclipse.model.EclipseClasspath)">setClasspath</a></strong>(<a href="../../../../../../org/gradle/plugins/ide/eclipse/model/EclipseClasspath.html" title="class in org.gradle.plugins.ide.eclipse.model">EclipseClasspath</a>&nbsp;classpath)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../../org/gradle/plugins/ide/eclipse/model/EclipseModel.html#setJdt(org.gradle.plugins.ide.eclipse.model.EclipseJdt)">setJdt</a></strong>(<a href="../../../../../../org/gradle/plugins/ide/eclipse/model/EclipseJdt.html" title="class in org.gradle.plugins.ide.eclipse.model">EclipseJdt</a>&nbsp;jdt)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../../org/gradle/plugins/ide/eclipse/model/EclipseModel.html#setProject(org.gradle.plugins.ide.eclipse.model.EclipseProject)">setProject</a></strong>(<a href="../../../../../../org/gradle/plugins/ide/eclipse/model/EclipseProject.html" title="class in org.gradle.plugins.ide.eclipse.model">EclipseProject</a>&nbsp;project)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../../org/gradle/plugins/ide/eclipse/model/EclipseModel.html#setWtp(org.gradle.plugins.ide.eclipse.model.EclipseWtp)">setWtp</a></strong>(<a href="../../../../../../org/gradle/plugins/ide/eclipse/model/EclipseWtp.html" title="class in org.gradle.plugins.ide.eclipse.model">EclipseWtp</a>&nbsp;wtp)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../../org/gradle/plugins/ide/eclipse/model/EclipseModel.html#wtp(org.gradle.api.Action)">wtp</a></strong>(<a href="../../../../../../org/gradle/api/Action.html" title="interface in org.gradle.api">Action</a>&lt;? super <a href="../../../../../../org/gradle/plugins/ide/eclipse/model/EclipseWtp.html" title="class in org.gradle.plugins.ide.eclipse.model">EclipseWtp</a>&gt;&nbsp;action)</code>
<div class="block">Configures eclipse wtp information</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../../org/gradle/plugins/ide/eclipse/model/EclipseModel.html#wtp(groovy.lang.Closure)">wtp</a></strong>(<a href="http://docs.groovy-lang.org/docs/groovy-2.4.11/html/gapi/groovy/lang/Closure.html?is-external=true" title="class or interface in groovy.lang">Closure</a>&nbsp;closure)</code>
<div class="block">Configures eclipse wtp information</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></h3>
<code><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#clone()" title="class or interface in java.lang">clone</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#equals(java.lang.Object)" title="class or interface in java.lang">equals</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#finalize()" title="class or interface in java.lang">finalize</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#getClass()" title="class or interface in java.lang">getClass</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#hashCode()" title="class or interface in java.lang">hashCode</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#notify()" title="class or interface in java.lang">notify</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#notifyAll()" title="class or interface in java.lang">notifyAll</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#toString()" title="class or interface in java.lang">toString</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait()" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait(long)" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait(long,%20int)" title="class or interface in java.lang">wait</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor_detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="EclipseModel()">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>EclipseModel</h4>
<pre>public&nbsp;EclipseModel()</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method_detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getProject()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getProject</h4>
<pre>public&nbsp;<a href="../../../../../../org/gradle/plugins/ide/eclipse/model/EclipseProject.html" title="class in org.gradle.plugins.ide.eclipse.model">EclipseProject</a>&nbsp;getProject()</pre>
<div class="block">Configures eclipse project information
 <p>
 For examples see docs for <a href="../../../../../../org/gradle/plugins/ide/eclipse/model/EclipseProject.html" title="class in org.gradle.plugins.ide.eclipse.model"><code>EclipseProject</code></a></div>
</li>
</ul>
<a name="setProject(org.gradle.plugins.ide.eclipse.model.EclipseProject)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setProject</h4>
<pre>public&nbsp;void&nbsp;setProject(<a href="../../../../../../org/gradle/plugins/ide/eclipse/model/EclipseProject.html" title="class in org.gradle.plugins.ide.eclipse.model">EclipseProject</a>&nbsp;project)</pre>
</li>
</ul>
<a name="getClasspath()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getClasspath</h4>
<pre>public&nbsp;<a href="../../../../../../org/gradle/plugins/ide/eclipse/model/EclipseClasspath.html" title="class in org.gradle.plugins.ide.eclipse.model">EclipseClasspath</a>&nbsp;getClasspath()</pre>
<div class="block">Configures eclipse classpath information
 <p>
 For examples see docs for <a href="../../../../../../org/gradle/plugins/ide/eclipse/model/EclipseClasspath.html" title="class in org.gradle.plugins.ide.eclipse.model"><code>EclipseClasspath</code></a></div>
</li>
</ul>
<a name="setClasspath(org.gradle.plugins.ide.eclipse.model.EclipseClasspath)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setClasspath</h4>
<pre>public&nbsp;void&nbsp;setClasspath(<a href="../../../../../../org/gradle/plugins/ide/eclipse/model/EclipseClasspath.html" title="class in org.gradle.plugins.ide.eclipse.model">EclipseClasspath</a>&nbsp;classpath)</pre>
</li>
</ul>
<a name="getJdt()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getJdt</h4>
<pre>public&nbsp;<a href="../../../../../../org/gradle/plugins/ide/eclipse/model/EclipseJdt.html" title="class in org.gradle.plugins.ide.eclipse.model">EclipseJdt</a>&nbsp;getJdt()</pre>
<div class="block">Configures eclipse java compatibility information (jdt)
 <p>
 For examples see docs for <a href="../../../../../../org/gradle/plugins/ide/eclipse/model/EclipseProject.html" title="class in org.gradle.plugins.ide.eclipse.model"><code>EclipseProject</code></a></div>
</li>
</ul>
<a name="setJdt(org.gradle.plugins.ide.eclipse.model.EclipseJdt)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setJdt</h4>
<pre>public&nbsp;void&nbsp;setJdt(<a href="../../../../../../org/gradle/plugins/ide/eclipse/model/EclipseJdt.html" title="class in org.gradle.plugins.ide.eclipse.model">EclipseJdt</a>&nbsp;jdt)</pre>
</li>
</ul>
<a name="getWtp()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getWtp</h4>
<pre>public&nbsp;<a href="../../../../../../org/gradle/plugins/ide/eclipse/model/EclipseWtp.html" title="class in org.gradle.plugins.ide.eclipse.model">EclipseWtp</a>&nbsp;getWtp()</pre>
<div class="block">Configures eclipse wtp information
 <p>
 For examples see docs for <a href="../../../../../../org/gradle/plugins/ide/eclipse/model/EclipseWtp.html" title="class in org.gradle.plugins.ide.eclipse.model"><code>EclipseWtp</code></a></div>
</li>
</ul>
<a name="setWtp(org.gradle.plugins.ide.eclipse.model.EclipseWtp)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setWtp</h4>
<pre>public&nbsp;void&nbsp;setWtp(<a href="../../../../../../org/gradle/plugins/ide/eclipse/model/EclipseWtp.html" title="class in org.gradle.plugins.ide.eclipse.model">EclipseWtp</a>&nbsp;wtp)</pre>
</li>
</ul>
<a name="project(groovy.lang.Closure)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>project</h4>
<pre>public&nbsp;void&nbsp;project(<a href="http://docs.groovy-lang.org/docs/groovy-2.4.11/html/gapi/groovy/lang/Closure.html?is-external=true" title="class or interface in groovy.lang">Closure</a>&nbsp;closure)</pre>
<div class="block">Configures eclipse project information
 <p>
 For examples see docs for <a href="../../../../../../org/gradle/plugins/ide/eclipse/model/EclipseProject.html" title="class in org.gradle.plugins.ide.eclipse.model"><code>EclipseProject</code></a></div>
</li>
</ul>
<a name="project(org.gradle.api.Action)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>project</h4>
<pre>public&nbsp;void&nbsp;project(<a href="../../../../../../org/gradle/api/Action.html" title="interface in org.gradle.api">Action</a>&lt;? super <a href="../../../../../../org/gradle/plugins/ide/eclipse/model/EclipseProject.html" title="class in org.gradle.plugins.ide.eclipse.model">EclipseProject</a>&gt;&nbsp;action)</pre>
<div class="block">Configures eclipse project information
 <p>
 For examples see docs for <a href="../../../../../../org/gradle/plugins/ide/eclipse/model/EclipseProject.html" title="class in org.gradle.plugins.ide.eclipse.model"><code>EclipseProject</code></a></div>
<dl><dt><span class="strong">Since:</span></dt>
  <dd>3.5</dd></dl>
</li>
</ul>
<a name="classpath(groovy.lang.Closure)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>classpath</h4>
<pre>public&nbsp;void&nbsp;classpath(<a href="http://docs.groovy-lang.org/docs/groovy-2.4.11/html/gapi/groovy/lang/Closure.html?is-external=true" title="class or interface in groovy.lang">Closure</a>&nbsp;closure)</pre>
<div class="block">Configures eclipse classpath information
 <p>
 For examples see docs for <a href="../../../../../../org/gradle/plugins/ide/eclipse/model/EclipseClasspath.html" title="class in org.gradle.plugins.ide.eclipse.model"><code>EclipseClasspath</code></a></div>
</li>
</ul>
<a name="classpath(org.gradle.api.Action)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>classpath</h4>
<pre>public&nbsp;void&nbsp;classpath(<a href="../../../../../../org/gradle/api/Action.html" title="interface in org.gradle.api">Action</a>&lt;? super <a href="../../../../../../org/gradle/plugins/ide/eclipse/model/EclipseClasspath.html" title="class in org.gradle.plugins.ide.eclipse.model">EclipseClasspath</a>&gt;&nbsp;action)</pre>
<div class="block">Configures eclipse classpath information
 <p>
 For examples see docs for <a href="../../../../../../org/gradle/plugins/ide/eclipse/model/EclipseClasspath.html" title="class in org.gradle.plugins.ide.eclipse.model"><code>EclipseClasspath</code></a></div>
<dl><dt><span class="strong">Since:</span></dt>
  <dd>3.5</dd></dl>
</li>
</ul>
<a name="wtp(groovy.lang.Closure)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>wtp</h4>
<pre>public&nbsp;void&nbsp;wtp(<a href="http://docs.groovy-lang.org/docs/groovy-2.4.11/html/gapi/groovy/lang/Closure.html?is-external=true" title="class or interface in groovy.lang">Closure</a>&nbsp;closure)</pre>
<div class="block">Configures eclipse wtp information
 <p>
 For examples see docs for <a href="../../../../../../org/gradle/plugins/ide/eclipse/model/EclipseWtp.html" title="class in org.gradle.plugins.ide.eclipse.model"><code>EclipseWtp</code></a></div>
</li>
</ul>
<a name="wtp(org.gradle.api.Action)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>wtp</h4>
<pre>public&nbsp;void&nbsp;wtp(<a href="../../../../../../org/gradle/api/Action.html" title="interface in org.gradle.api">Action</a>&lt;? super <a href="../../../../../../org/gradle/plugins/ide/eclipse/model/EclipseWtp.html" title="class in org.gradle.plugins.ide.eclipse.model">EclipseWtp</a>&gt;&nbsp;action)</pre>
<div class="block">Configures eclipse wtp information
 <p>
 For examples see docs for <a href="../../../../../../org/gradle/plugins/ide/eclipse/model/EclipseWtp.html" title="class in org.gradle.plugins.ide.eclipse.model"><code>EclipseWtp</code></a></div>
<dl><dt><span class="strong">Since:</span></dt>
  <dd>3.5</dd></dl>
</li>
</ul>
<a name="jdt(groovy.lang.Closure)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>jdt</h4>
<pre>public&nbsp;void&nbsp;jdt(<a href="http://docs.groovy-lang.org/docs/groovy-2.4.11/html/gapi/groovy/lang/Closure.html?is-external=true" title="class or interface in groovy.lang">Closure</a>&nbsp;closure)</pre>
<div class="block">Configures eclipse java compatibility information (jdt)
 <p>
 For examples see docs for <a href="../../../../../../org/gradle/plugins/ide/eclipse/model/EclipseProject.html" title="class in org.gradle.plugins.ide.eclipse.model"><code>EclipseProject</code></a></div>
</li>
</ul>
<a name="jdt(org.gradle.api.Action)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>jdt</h4>
<pre>public&nbsp;void&nbsp;jdt(<a href="../../../../../../org/gradle/api/Action.html" title="interface in org.gradle.api">Action</a>&lt;? super <a href="../../../../../../org/gradle/plugins/ide/eclipse/model/EclipseJdt.html" title="class in org.gradle.plugins.ide.eclipse.model">EclipseJdt</a>&gt;&nbsp;action)</pre>
<div class="block">Configures eclipse java compatibility information (jdt)
 <p>
 For examples see docs for <a href="../../../../../../org/gradle/plugins/ide/eclipse/model/EclipseProject.html" title="class in org.gradle.plugins.ide.eclipse.model"><code>EclipseProject</code></a></div>
<dl><dt><span class="strong">Since:</span></dt>
  <dd>3.5</dd></dl>
</li>
</ul>
<a name="pathVariables(java.util.Map)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>pathVariables</h4>
<pre>public&nbsp;void&nbsp;pathVariables(<a href="https://docs.oracle.com/javase/7/docs/api/java/util/Map.html?is-external=true" title="class or interface in java.util">Map</a>&lt;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>,<a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a>&gt;&nbsp;pathVariables)</pre>
<div class="block">Adds path variables to be used for replacing absolute paths in classpath entries.
 <p>
 If the beginning of the absolute path of a library or other path-related element matches a value of a variable,
 a variable entry is used. The matching part of the library path is replaced with the variable name.
 <p>
 For example see docs for <a href="../../../../../../org/gradle/plugins/ide/eclipse/model/EclipseModel.html" title="class in org.gradle.plugins.ide.eclipse.model"><code>EclipseModel</code></a></div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>pathVariables</code> - A map with String-&gt;File pairs.</dd></dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar_bottom">
<!--   -->
</a><a href="#skip-navbar_bottom" title="Skip navigation links"></a><a name="navbar_bottom_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../org/gradle/plugins/ide/eclipse/model/EclipseJdt.html" title="class in org.gradle.plugins.ide.eclipse.model"><span class="strong">Prev Class</span></a></li>
<li><a href="../../../../../../org/gradle/plugins/ide/eclipse/model/EclipseProject.html" title="class in org.gradle.plugins.ide.eclipse.model"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../index.html?org/gradle/plugins/ide/eclipse/model/EclipseModel.html" target="_top">Frames</a></li>
<li><a href="EclipseModel.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor_summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor_detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
